function onBegin()
  playSound("event:/AmberSchnake_AsteraceaeBarrens_Postcard_in")
  wait(3)
  setFlag("intro_title_text", true)
  playSound("event:/AmberSchnake_AsteraceaeBarrens_Postcard_out")
  wait(1.5)
  playSound("event:/char/badeline/booster_final")
  wait(4.5)
  setFlag("intro_title_text", false)
  instantTeleportTo(336, 16)
  wait(1)
end

function onEnd()
  enableRetry()
  enableMovement()
  completeArea(false, false, true)
end